# Remove fixed prices

Removes fixed prices. Works with Shopify accounts.

```http
DELETE https://api.pozy.ai/v1/commerce/price-lists/{priceListId}/prices
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `priceListId` (string, required)

## Query parameters

- `accountId` (string, required)
- `variantIds` (string, required)

## Example request

```bash
curl -X DELETE "https://api.pozy.ai/v1/commerce/price-lists/6551425cf4efa3166863218b/prices?accountId=696e0b682d0a31188e7a2ba9&variantIds=string" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/price-lists/6551425cf4efa3166863218b/prices?accountId=696e0b682d0a31188e7a2ba9&variantIds=string", {
  method: "DELETE",
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const text = await res.text();
const data = text ? JSON.parse(text) : null;
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.delete(
    "https://api.pozy.ai/v1/commerce/price-lists/6551425cf4efa3166863218b/prices",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "variantIds": "string",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `priceListId`, string
- `deleted`, integer

```json
{
  "priceListId": "6551425cf4efa3166863218b",
  "deleted": 1
}
```
